Index: /palm/trunk/SOURCE/lpm_data_output_particles.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 1326)
+++ /palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 1327)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! ------------------
+! -netcdf output queries
 !
 ! Former revisions:
@@ -43,5 +44,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  netcdf_output, prt_time_count, simulated_time
+        ONLY:  prt_time_count, simulated_time
 
     USE cpulog,                                                                &
@@ -80,114 +81,110 @@
 !
 !-- Output in netCDF format
-    IF ( netcdf_output )  THEN
-
-       CALL check_open( 108 )
+    CALL check_open( 108 )
 
 !
-!--    Update the NetCDF time axis
-       prt_time_count = prt_time_count + 1
+!-- Update the NetCDF time axis
+    prt_time_count = prt_time_count + 1
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_time_prt, &
-                               (/ simulated_time /),        &
-                               start = (/ prt_time_count /), count = (/ 1 /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 1 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_time_prt, &
+                            (/ simulated_time /),        &
+                            start = (/ prt_time_count /), count = (/ 1 /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 1 )
 
 !
-!--    Output the real number of particles used
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_rnop_prt, &
-                               (/ number_of_particles /),   &
-                               start = (/ prt_time_count /), count = (/ 1 /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 2 )
+!-- Output the real number of particles used
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_rnop_prt, &
+                            (/ number_of_particles /),   &
+                            start = (/ prt_time_count /), count = (/ 1 /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 2 )
 
 !
-!--    Output all particle attributes
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(1), particles%age,      &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 3 )
+!-- Output all particle attributes
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(1), particles%age,      &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 3 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(2), particles%dvrp_psize,&
-                               start = (/ 1, prt_time_count /),                &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 4 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(2), particles%dvrp_psize,&
+                            start = (/ 1, prt_time_count /),                &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 4 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(3), particles%origin_x, &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 5 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(3), particles%origin_x, &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 5 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(4), particles%origin_y, &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 6 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(4), particles%origin_y, &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 6 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(5), particles%origin_z, &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 7 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(5), particles%origin_z, &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 7 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(6), particles%radius,   &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 8 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(6), particles%radius,   &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 8 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(7), particles%speed_x,  &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 9 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(7), particles%speed_x,  &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 9 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(8), particles%speed_y,  &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 10 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(8), particles%speed_y,  &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 10 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(9), particles%speed_z,  &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 11 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(9), particles%speed_z,  &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 11 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt,id_var_prt(10),                     &
-                               particles%weight_factor,                       &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 12 )
+    nc_stat = NF90_PUT_VAR( id_set_prt,id_var_prt(10),                     &
+                            particles%weight_factor,                       &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 12 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(11), particles%x,       &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 13 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(11), particles%x,       &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 13 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(12), particles%y,       & 
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 14 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(12), particles%y,       &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 14 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(13), particles%z,       &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 15 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(13), particles%z,       &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 15 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(14), particles%class,   &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 16 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(14), particles%class,   &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 16 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(15), particles%group,   &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 17 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(15), particles%group,   &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 17 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(16),                    &
-                               particles%tailpoints,                          &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 18 )
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(16),                    &
+                            particles%tailpoints,                          &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 18 )
 
-       nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(17), particles%tail_id, &
-                               start = (/ 1, prt_time_count /),               &
-                               count = (/ maximum_number_of_particles /) )
-       CALL handle_netcdf_error( 'lpm_data_output_particles', 19 )
-
-    ENDIF
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(17), particles%tail_id, &
+                            start = (/ 1, prt_time_count /),               &
+                            count = (/ maximum_number_of_particles /) )
+    CALL handle_netcdf_error( 'lpm_data_output_particles', 19 )
 
 #endif
Index: /palm/trunk/SOURCE/lpm_exchange_horiz.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1326)
+++ /palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1327)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! -netcdf output queries
 !
 ! Former revisions:
@@ -53,5 +53,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  message_string, netcdf_output, netcdf_data_format
+        ONLY:  message_string, netcdf_data_format
 
     USE cpulog,                                                                &
@@ -350,5 +350,5 @@
             maximum_number_of_particles )           &
        THEN
-          IF ( netcdf_output  .AND.  netcdf_data_format < 3 )  THEN
+          IF ( netcdf_data_format < 3 )  THEN
               message_string = 'maximum_number_of_particles ' //    &
                                'needs to be increased ' //          &
@@ -374,5 +374,5 @@
           IF ( number_of_tails+trrpt_count_recv > maximum_number_of_tails ) &
           THEN
-             IF ( netcdf_output  .AND.  netcdf_data_format < 3 )  THEN
+             IF ( netcdf_data_format < 3 )  THEN
                 message_string = 'maximum_number_of_tails ' //   &
                                  'needs to be increased ' //     &
@@ -414,5 +414,5 @@
             maximum_number_of_particles )           &
        THEN
-          IF ( netcdf_output  .AND.  netcdf_data_format < 3 )  THEN
+          IF ( netcdf_data_format < 3 )  THEN
              message_string = 'maximum_number_of_particles ' //  &
                               'needs to be increased ' //        &
@@ -438,5 +438,5 @@
           IF ( number_of_tails+trlpt_count_recv > maximum_number_of_tails ) &
           THEN
-             IF ( netcdf_output  .AND.  netcdf_data_format < 3 )  THEN
+             IF ( netcdf_data_format < 3 )  THEN
                 message_string = 'maximum_number_of_tails ' //   &
                                  'needs to be increased ' //     &
@@ -723,5 +723,5 @@
             maximum_number_of_particles )           &
        THEN
-          IF ( netcdf_output  .AND.  netcdf_data_format < 3 )  THEN
+          IF ( netcdf_data_format < 3 )  THEN
              message_string = 'maximum_number_of_particles ' //  &
                               'needs to be increased ' //        &
@@ -747,5 +747,5 @@
           IF ( number_of_tails+trnpt_count_recv > maximum_number_of_tails ) &
           THEN
-             IF ( netcdf_output  .AND.  netcdf_data_format < 3 )  THEN
+             IF ( netcdf_data_format < 3 )  THEN
                 message_string = 'maximum_number_of_tails ' //    &
                                  'needs to be increased ' //      &
@@ -788,5 +788,5 @@
             maximum_number_of_particles )           &
        THEN
-          IF ( netcdf_output  .AND.  netcdf_data_format < 3 )  THEN
+          IF ( netcdf_data_format < 3 )  THEN
              message_string = 'maximum_number_of_particles ' //   &
                               'needs to be increased ' //         &
@@ -812,5 +812,5 @@
           IF ( number_of_tails+trspt_count_recv > maximum_number_of_tails ) &
           THEN
-             IF ( netcdf_output  .AND.  netcdf_data_format < 3 )  THEN
+             IF ( netcdf_data_format < 3 )  THEN
                 message_string = 'maximum_number_of_tails ' //   &
                                  'needs to be increased ' //     &
Index: /palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_init.f90	(revision 1326)
+++ /palm/trunk/SOURCE/lpm_init.f90	(revision 1327)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! -netcdf_output
 !
 ! Former revisions:
@@ -83,5 +83,5 @@
     USE control_parameters,                                                    &
         ONLY:  cloud_droplets, current_timestep_number, initializing_actions,  &
-               message_string, netcdf_output,netcdf_data_format, ocean,        &
+               message_string, netcdf_data_format, ocean,                      &
                prandtl_layer, simulated_time
 
Index: /palm/trunk/SOURCE/lpm_release_set.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_release_set.f90	(revision 1326)
+++ /palm/trunk/SOURCE/lpm_release_set.f90	(revision 1327)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! -netcdf output queries
 !
 ! Former revisions:
@@ -48,5 +48,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  iran, message_string, netcdf_data_format, netcdf_output
+        ONLY:  iran, message_string, netcdf_data_format
 
     USE grid_variables,                                                        &
@@ -81,5 +81,5 @@
     IF ( number_of_particles + number_of_initial_particles > &
          maximum_number_of_particles  )  THEN
-       IF ( netcdf_output  .AND.  netcdf_data_format < 3 )  THEN
+       IF ( netcdf_data_format < 3 )  THEN
           message_string = 'maximum_number_of_particles needs to be increa' // &
                            'sed &but this is not allowed with netcdf_data_' // &
@@ -96,5 +96,5 @@
        IF ( number_of_tails + number_of_initial_tails > &
             maximum_number_of_tails  )  THEN
-          IF ( netcdf_output  .AND.  netcdf_data_format < 3 )  THEN
+          IF ( netcdf_data_format < 3 )  THEN
              message_string = 'maximum_number_of_tails needs to be increas' // &
                               'ed &but this is not allowed with netcdf_dat' // &
